--  File:     DUR_POST_VERIFY.SQL
--            Microsoft TPC-H Benchmark Kit Ver. 2.14.0-1010
--            Copyright Microsoft, 2010, 2011
--
--	Insert your values in the "between" clause below
--

--
--	These selects should result in Zero rows found
--

-- Durability Stream 1
use tpch1gcci
go

select	*
from	acid_values
where	seq_num between 11 and	171 and
	not exists (	select	*
			from	HISTORY_DUR
			where	H_O_KEY = acid_o_key and
				H_L_KEY = acid_l_key and
				H_DELTA = acid_delta
		    )

-- Durability Stream 2
select	*
from	acid_values
where	seq_num between 211 and 367 and
	not exists (	select	*
			from	HISTORY_DUR
			where	H_O_KEY = acid_o_key and
				H_L_KEY = acid_l_key and
				H_DELTA = acid_delta
		    )

-- Durability Stream 3
select	*
from	acid_values
where	seq_num between 411 and 571 and
	not exists (	select	*
			from	HISTORY_DUR
			where	H_O_KEY = acid_o_key and
				H_L_KEY = acid_l_key and
				H_DELTA = acid_delta
		    )

-- Durability Stream 4
select	*
from	acid_values
where	seq_num between 611 and 763 and
	not exists (	select	*
			from	HISTORY_DUR
			where	H_O_KEY = acid_o_key and
				H_L_KEY = acid_l_key and
				H_DELTA = acid_delta
		    )

-- Durability Stream 5
select	*
from	acid_values
where	seq_num between 811 and 947 and
	not exists (	select	*
			from	HISTORY_DUR
			where	H_O_KEY = acid_o_key and
				H_L_KEY = acid_l_key and
				H_DELTA = acid_delta
		    )

-- Durability Stream 6
select	*
from	acid_values
where	seq_num between 1011 and 1173 and
	not exists (	select	*
			from	HISTORY_DUR
			where	H_O_KEY = acid_o_key and
				H_L_KEY = acid_l_key and
				H_DELTA = acid_delta
		    )

-- Durability Stream 7
select	*
from	acid_values
where	seq_num between 1211 and 1330 and
	not exists (	select	*
			from	HISTORY_DUR
			where	H_O_KEY = acid_o_key and
				H_L_KEY = acid_l_key and
				H_DELTA = acid_delta
		    )

-- Durability Stream 8
select	*
from	acid_values
where	seq_num between 1411 and 1580 and
	not exists (	select	*
			from	HISTORY_DUR
			where	H_O_KEY = acid_o_key and
				H_L_KEY = acid_l_key and
				H_DELTA = acid_delta
		    )

-- Durability Stream 9
select	*
from	acid_values
where	seq_num between 1611 and 1715 and
	not exists (	select	*
			from	HISTORY_DUR
			where	H_O_KEY = acid_o_key and
				H_L_KEY = acid_l_key and
				H_DELTA = acid_delta
		    )