Rem This File launches %TPCH_NUM_THROUGHPUT_STREAMS% RF Streams in the Throughput RF phase

@setlocal ENABLEDELAYEDEXPANSION

REM output dir 
set TPCH_RUN_NUM=%1

set TPCH_OUTPUT_DIR=%TPCH_OUTPUT_DIR_PREFIX%\%TPCH_RUN_NUM%
set TPCH_AUTOMATION_CMD_PATH=%TPCH_KIT_DIR%\Setup\CMD_RFs
set TPCH_NUM_RF_EXEC_STREAMS=%2
set TPCH_NUM_RF_EXEC_TOTAL=%3
set TPCH_RF_EXEC_BATCH_SIZE=%4
set TPCH_UF_DIR=%5
set TPCH_NUM_RF_LOAD_STREAMS=%6
set TPCH_NUM_RF_LOAD_FILES=%7
set TPCH_NUM_THROUGHPUT_STREAMS=%8
REM  *** set TPCH_RF1_STREAMS_SET=%9

REM *** query the database to determine the updateset to use
sqlcmd -S %TPCH_SERVER% -U %TPCH_USER% -P %TPCH_PASSWORD% -d %TPCH_DATABASE% -i %TPCH_AUTOMATION_SQL%\GetUpdateSet.sql -o %TPCH_AUTOMATION_SQL%UpdateSet.out
for /f "skip=2 tokens=1 skip=2" %%a in (%TPCH_AUTOMATION_SQL%UpdateSet.out) DO SET TPCH_RF1_STREAMS_SET=%%a


pushd %TPCH_OUTPUT_DIR%
REM Exec each stream 

set /A LOCAL_CURR_STREAM = 1
:outerRFLoop

	REM  exec RF1

	
	set /A TPCH_RF1_STREAMS_SET = %TPCH_RF1_STREAMS_SET% + 1

	call %TPCH_AUTOMATION_CMD_PATH%\cmd\RFS\RF1_preCreate_tran_Stream.cmd %LOCAL_CURR_STREAM% %TPCH_RUN_NUM% Throughput_RF1_Stream%LOCAL_CURR_STREAM% %TPCH_NUM_RF_EXEC_STREAMS% %TPCH_NUM_RF_EXEC_TOTAL% %TPCH_RF_EXEC_BATCH_SIZE% %TPCH_NUM_RF_LOAD_STREAMS% %TPCH_NUM_RF_LOAD_FILES% %TPCH_RF1_STREAMS_SET%
	

	REM  exec RF2
	REM call %TPCH_AUTOMATION_CMD_PATH%\cmd\RFS\RF2_preCreate.cmd %LOCAL_CURR_STREAM% %TPCH_RUN_NUM% Throughput_RF2_Stream%LOCAL_CURR_STREAM% %TPCH_NUM_RF_EXEC_STREAMS% %TPCH_NUM_RF_EXEC_TOTAL% %TPCH_RF_EXEC_BATCH_SIZE% %TPCH_UF_DIR% %TPCH_NUM_RF_LOAD_STREAMS% %TPCH_NUM_RF_LOAD_FILES%

	set /A LOCAL_CURR_STREAM = %LOCAL_CURR_STREAM% + 1
if %LOCAL_CURR_STREAM% LEQ %TPCH_NUM_THROUGHPUT_STREAMS% goto outerRFLoop


)

popd

endlocal