if exists (select name from sysdatabases where name = 'tpch3000gcci') drop database tpch3000gcci

CREATE DATABASE tpch3000gcci ON PRIMARY
(	
	NAME 		= tpch3000g_root, 
	FILENAME 	= "/mnt/data/data1/root.mdf",
	SIZE 		= 6144MB, 
	MAXSIZE 	= UNLIMITED,
	FILEGROWTH 	= 1GB
),
FILEGROUP DATA_FG
(NAME = tpch3000g_data_1, FILENAME = '/mnt/data/data1/db_data_1.mdf', SIZE = 59250MB, FILEGROWTH = 2048GB ),
(NAME = tpch3000g_data_2, FILENAME = '/mnt/data/data2/db_data_2.mdf', SIZE = 59250MB, FILEGROWTH = 2048GB ),
(NAME = tpch3000g_data_3, FILENAME = '/mnt/data/data3/db_data_3.mdf', SIZE = 59250MB, FILEGROWTH = 2048GB ),
(NAME = tpch3000g_data_4, FILENAME = '/mnt/data/data4/db_data_4.mdf', SIZE = 59250MB, FILEGROWTH = 2048GB ),
(NAME = tpch3000g_data_5, FILENAME = '/mnt/data/data1/db_data_5.mdf', SIZE = 59250MB, FILEGROWTH = 2048GB ),
(NAME = tpch3000g_data_6, FILENAME = '/mnt/data/data2/db_data_6.mdf', SIZE = 59250MB, FILEGROWTH = 2048GB ),
(NAME = tpch3000g_data_7, FILENAME = '/mnt/data/data3/db_data_7.mdf', SIZE = 59250MB, FILEGROWTH = 2048GB ),
(NAME = tpch3000g_data_8, FILENAME = '/mnt/data/data4/db_data_8.mdf', SIZE = 59250MB, FILEGROWTH = 2048GB ),
(NAME = tpch3000g_data_9, FILENAME = '/mnt/data/data1/db_data_9.mdf', SIZE = 59250MB, FILEGROWTH = 2048GB ),
(NAME = tpch3000g_data_10, FILENAME = '/mnt/data/data2/db_data_10.mdf', SIZE = 59250MB, FILEGROWTH = 2048GB),
(NAME = tpch3000g_data_11, FILENAME = '/mnt/data/data3/db_data_11.mdf', SIZE = 59250MB, FILEGROWTH = 2048GB),
(NAME = tpch3000g_data_12, FILENAME = '/mnt/data/data4/db_data_12.mdf', SIZE = 59250MB, FILEGROWTH = 2048GB),
(NAME = tpch3000g_data_13, FILENAME = '/mnt/data/data1/db_data_13.mdf', SIZE = 59250MB, FILEGROWTH = 2048GB),
(NAME = tpch3000g_data_14, FILENAME = '/mnt/data/data2/db_data_14.mdf', SIZE = 59250MB, FILEGROWTH = 2048GB),
(NAME = tpch3000g_data_15, FILENAME = '/mnt/data/data4/db_data_15.mdf', SIZE = 59250MB, FILEGROWTH = 2048GB),
(NAME = tpch3000g_data_16, FILENAME = '/mnt/data/data3/db_data_16.mdf', SIZE = 59250MB, FILEGROWTH = 2048GB),
(NAME = tpch3000g_data_17, FILENAME = '/mnt/data/data1/db_data_17.mdf', SIZE = 59250MB, FILEGROWTH = 2048GB),
(NAME = tpch3000g_data_18, FILENAME = '/mnt/data/data2/db_data_18.mdf', SIZE = 59250MB, FILEGROWTH = 2048GB),
(NAME = tpch3000g_data_19, FILENAME = '/mnt/data/data3/db_data_19.mdf', SIZE = 59250MB, FILEGROWTH = 2048GB),
(NAME = tpch3000g_data_20, FILENAME = '/mnt/data/data4/db_data_20.mdf', SIZE = 59250MB, FILEGROWTH = 2048GB),
(NAME = tpch3000g_data_21, FILENAME = '/mnt/data/data1/db_data_21.mdf', SIZE = 59250MB, FILEGROWTH = 2048GB),
(NAME = tpch3000g_data_22, FILENAME = '/mnt/data/data2/db_data_22.mdf', SIZE = 59250MB, FILEGROWTH = 2048GB),
(NAME = tpch3000g_data_23, FILENAME = '/mnt/data/data3/db_data_23.mdf', SIZE = 59250MB, FILEGROWTH = 2048GB),
(NAME = tpch3000g_data_24, FILENAME = '/mnt/data/data4/db_data_24.mdf', SIZE = 59250MB, FILEGROWTH = 2048GB),
(NAME = tpch3000g_data_25, FILENAME = '/mnt/data/data1/db_data_25.mdf', SIZE = 59250MB, FILEGROWTH = 2048GB),
(NAME = tpch3000g_data_26, FILENAME = '/mnt/data/data2/db_data_26.mdf', SIZE = 59250MB, FILEGROWTH = 2048GB),
(NAME = tpch3000g_data_27, FILENAME = '/mnt/data/data4/db_data_27.mdf', SIZE = 59250MB, FILEGROWTH = 2048GB),
(NAME = tpch3000g_data_28, FILENAME = '/mnt/data/data3/db_data_28.mdf', SIZE = 59250MB, FILEGROWTH = 2048GB),
(NAME = tpch3000g_data_29, FILENAME = '/mnt/data/data1/db_data_29.mdf', SIZE = 59250MB, FILEGROWTH = 2048GB),
(NAME = tpch3000g_data_30, FILENAME = '/mnt/data/data2/db_data_30.mdf', SIZE = 59250MB, FILEGROWTH = 2048GB),
(NAME = tpch3000g_data_31, FILENAME = '/mnt/data/data3/db_data_31.mdf', SIZE = 59250MB, FILEGROWTH = 2048GB),
(NAME = tpch3000g_data_32, FILENAME = '/mnt/data/data4/db_data_32.mdf', SIZE = 59250MB, FILEGROWTH = 2048GB)

LOG ON 
(
	NAME		= tpch3000g_log, 
	FILENAME	= '/mnt/dblog/tpch3000g_log.mdf',
	SIZE		= 300GB,
	FILEGROWTH 	= 2048GB
)
COLLATE Latin1_General_BIN

