Rem This File launches %TPCH_NUM_THROUGHPUT_STREAMS% RF Streams in the Throughput RF phase

@setlocal ENABLEDELAYEDEXPANSION

REM output dir 
set TPCH_RUN_NUM=%1

set TPCH_OUTPUT_DIR=%TPCH_OUTPUT_DIR_PREFIX%\%TPCH_RUN_NUM%
set TPCH_AUTOMATION_CMD_PATH=%TPCH_KIT_DIR%\Setup\CMD_RFs
set TPCH_NUM_RF_EXEC_STREAMS=%2
set TPCH_NUM_RF_EXEC_TOTAL=%3
set TPCH_RF_EXEC_BATCH_SIZE=%4
set TPCH_UF_DIR=%5
set TPCH_NUM_RF_LOAD_STREAMS=%6
set TPCH_NUM_RF_LOAD_FILES=%7
set TPCH_NUM_THROUGHPUT_STREAMS=%8

pushd %TPCH_OUTPUT_DIR%
REM Exec each stream 

set /A LOCAL_CURR_STREAM = 1
:outerRFLoop

	REM  exec RF1
	
	call %TPCH_AUTOMATION_CMD_PATH%\cmd\RFS\RF1_preCreate.cmd %LOCAL_CURR_STREAM% %TPCH_RUN_NUM% Throughput_RF1_Stream%LOCAL_CURR_STREAM% %TPCH_NUM_RF_EXEC_STREAMS% %TPCH_NUM_RF_EXEC_TOTAL% %TPCH_RF_EXEC_BATCH_SIZE% %TPCH_UF_DIR% %TPCH_NUM_RF_LOAD_STREAMS% %TPCH_NUM_RF_LOAD_FILES%
	
	REM  exec RF2
	REM call %TPCH_AUTOMATION_CMD_PATH%\cmd\RFS\RF2_preCreate.cmd %LOCAL_CURR_STREAM% %TPCH_RUN_NUM% Throughput_RF2_Stream%LOCAL_CURR_STREAM% %TPCH_NUM_RF_EXEC_STREAMS% %TPCH_NUM_RF_EXEC_TOTAL% %TPCH_RF_EXEC_BATCH_SIZE% %TPCH_UF_DIR% %TPCH_NUM_RF_LOAD_STREAMS% %TPCH_NUM_RF_LOAD_FILES%

	set /A LOCAL_CURR_STREAM = %LOCAL_CURR_STREAM% + 1
if %LOCAL_CURR_STREAM% LEQ %TPCH_NUM_THROUGHPUT_STREAMS% goto outerRFLoop


)

popd

endlocal