VERSION 5.00
Begin VB.Form frmWorkspaceOpen 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Open Workspace"
   ClientHeight    =   2550
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   4695
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2550
   ScaleWidth      =   4695
   ShowInTaskbar   =   0   'False
   StartUpPosition =   1  'CenterOwner
   Begin VB.CommandButton cmdOK 
      Caption         =   "OK"
      Default         =   -1  'True
      Height          =   375
      Left            =   2160
      TabIndex        =   2
      Top             =   2040
      Width           =   1095
   End
   Begin VB.CommandButton cmdCancel 
      Cancel          =   -1  'True
      Caption         =   "Cancel"
      Height          =   375
      Left            =   3360
      TabIndex        =   3
      Top             =   2040
      Width           =   1095
   End
   Begin VB.ListBox lstWorkspaces 
      Height          =   1425
      ItemData        =   "frmWorkspaceOpen.frx":0000
      Left            =   240
      List            =   "frmWorkspaceOpen.frx":0002
      MultiSelect     =   2  'Extended
      TabIndex        =   1
      Top             =   480
      Width           =   4215
   End
   Begin VB.Label lblWorkspaces 
      AutoSize        =   -1  'True
      Caption         =   "Workspace"
      Height          =   195
      Left            =   240
      TabIndex        =   0
      Top             =   120
      Width           =   825
   End
End
Attribute VB_Name = "frmWorkspaceOpen"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'  FILE:       frmWorkspaceOpen.frm
'              Microsoft TPC-H Kit Ver. 2.7.0-1005
'              Copyright Microsoft, 2008
'              All Rights Reserved
'
'
'  PURPOSE:    Used to display a list of all workspaces in a
'              workspace definition file for Open, Import, Export
'              and Run (in SMRunOnly) workspace
'  Contact:    Reshma Tharamal (reshmat@microsoft.com)
'
Option Explicit
#If RUN_ONLY Then
    Private WithEvents cRunOnlyInst As cRunOnly
Attribute cRunOnlyInst.VB_VarHelpID = -1

Private Sub cRunOnlyInst_Done()
    ShowFree
End Sub

Private Sub Run()
    Dim iIndex As Integer
    
    Set cRunOnlyInst = New cRunOnly
    
    For iIndex = 0 To Me.lstWorkspaces.ListCount - 1
        If Me.lstWorkspaces.Selected(iIndex) Then
            ShowBusy
            cRunOnlyInst.WorkspaceId = Me.lstWorkspaces.ItemData(Me.lstWorkspaces.ListIndex)
            cRunOnlyInst.WspName = Me.lstWorkspaces.List(Me.lstWorkspaces.ListIndex)
            cRunOnlyInst.RunWsp
        End If
    Next iIndex
    
End Sub

#End If

Private Sub cmdCancel_Click()

    Unload Me
    
End Sub

Private Sub cmdOK_Click()

#If RUN_ONLY Then
    Call Run
#Else
    Call WorkspaceOpenOk
#End If
    
End Sub


Private Sub lstWorkspaces_DblClick()

    ' A double click on the workspaces list box is considered
    ' equivalent to selecting an item in the list and then selecting
    ' the OK command
    Call cmdOK_Click

End Sub

